:root {
  --main: #004c91;
}
body {
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.flex {
  display: flex;
}

.item-center {
  align-items: center;
}

.item-end {
  align-items: flex-end;
}

.justify-center {
  justify-content: center;
}

.justify-end {
  justify-content: flex-end;
}

#font_name {
  font-style: italic;
  font-family: Georgia;
  font-size: 14px;
  font-weight: 700;
  color: #13a751;
}

.text_table_order {
  color: #22232b;
  font-style: normal;
  font-weight: 500;
  font-size: clamp(10px, 3vw, 16px);
  line-height: 22px;
}

span {
  font-size: clamp(8px, 4vw, 14px);
  font-style: normal;
  font-weight: normal;
  color: #22232b;
}

p {
  font-size: clamp(8px, 4vw, 14px);
  font-style: normal;
  font-weight: normal;
  color: #22232b;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0 !important;
  margin-bottom: 0 !important;
  /* line-height: 0 !important; */
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

.cursor {
  cursor: pointer;
}

.cell {
  cursor: cell;
}

.ant-checkbox-wrapper:hover .ant-checkbox-inner,
.ant-checkbox:hover .ant-checkbox-inner,
.ant-checkbox-input:focus + .ant-checkbox-inner {
  border-color: #004c91;
}

.ant-checkbox-checked .ant-checkbox-inner::after {
  border: 2px solid #004c91;
  border-top: 0;
  border-left: 0;
}

.ant-checkbox-checked .ant-checkbox-inner {
  background-color: transparent;
  border-color: #004c91;
}

.ant-form-item-control {
  line-height: 1.5 !important;
}

.ant-layout.ant-layout-has-sider > .ant-layout,
.ant-layout.ant-layout-has-sider > .ant-layout-content {
  overflow-y: hidden;
}

.ant-table-small {
  border: unset;
}

.ant-layout.ant-layout-has-sider > .ant-layout,
.ant-layout.ant-layout-has-sider > .ant-layout-content {
  overflow-y: hidden;
}

.ant-table-small {
  border: unset;
}

.ant-menu-inline {
  border-right: none;
}

/* .ant-select-selection {
  border-width: 0px !important;
  border-bottom-width: 1px !important;
} */

/* ::-webkit-scrollbar {
  width: 4px !important;
} */

/* Track */

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 4px #e0e0e0 !important;
}

/* Handle */

::-webkit-scrollbar-thumb {
  background: #e0e0e0 !important;
}

/* Handle on hover */

/* ::-webkit-scrollbar-thumb:hover {
  background: #2ebd6a; 
} */

.ant-pagination-item-active {
  font-weight: bold !important;
  font-size: 14px !important;
  background-color: #004c91 !important;
  color: white !important;
}

.ant-pagination-item-active span {
  color: white !important;
}

.ant-form-item-control {
  line-height: 15px !important;
  /* overflow: hidden; */
}

.ant-pagination-item {
  font-weight: bold !important;
  font-size: 14px !important;
  /* color: white !important; */
  border-width: 0 !important;
  border-radius: 0 !important;
  color: "black";
  background: transparent;
}

.avatar-uploader > .ant-upload {
  width: 180px !important;
  height: 180px !important;
  border: 2px dashed rgba(19, 167, 81, 0.3) !important;
}

::placeholder {
  color: #bdbdbd !important;
  font-size: 0.8em !important;
}

.ant-tabs-tab {
  width: 185px;
  text-align: center;
  border: 1px solid #dedfe4;
  background-color: white;
}

.ant-tabs-nav .ant-tabs-tab {
  margin: 0 !important;
  padding: 0 16 !important;
}

.ant-tabs-ink-bar {
  background-color: transparent !important;
}

.ant-tabs-tab-active {
  background-color: rgba(34, 35, 43, 0.1) !important;
}

.ant-tabs-tab-active span {
  font-weight: bold !important;
  color: black !important;
}

.ant-tabs-nav-scroll {
  background-color: #f3f7f5;
}

.ant-tabs-bar {
  margin: 0 !important;
}

/* CSS PHONE */

.container1 {
  width: 100%;
  /* height: 100vh; */
  display: -webkit-flex;
  display: -moz-flex;
  display: -ms-flex;
  display: -o-flex;
  display: flex;
  justify-content: center;
  -ms-align-items: center;
  align-items: center;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.phone_border {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 320px;
  height: 600px;
  border-radius: 30px;
  background: #000;
}

.phone_speaker {
  height: 10%;
  background: #fff;
}

.phone_screen {
  width: 300px;
  height: 80%;
  position: relative;
  z-index: 3;
  overflow: hidden;
}

.locked_screen {
  display: flex;
  background-color: white;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  background-size: cover;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  position: relative;
  z-index: 4;
}

.phone_button {
  height: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.button {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  border: 2px solid #393737;
  cursor: pointer;
}

.information {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: black;
  font-size: 9px;
  padding: 4px;
}

.connection {
  flex: 2;
  display: flex;
  justify-content: flex-start;
}

.lock {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}

.battery {
  flex: 2;
  display: flex;
  justify-content: flex-end;
}

.screen_lock {
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 30px;
}

.clock {
  font-size: 50px;
}

.date {
  font-size: 14px;
}

.bottom_screen {
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
}

/* PASSWORD SECTION */

.password_section {
  display: flex;
  flex-direction: column;
  color: #fff;
}

.password_buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.password_button {
  width: 50px;
  height: 50px;
  background: #62618ec7;
  border-radius: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 5px 7px;
  font-weight: bold;
  transition: 100ms all ease;
}

.password_button_active {
  background: #c1c0c0e6;
}

.password_number {
  font-size: 20px;
}

.password_char {
  font-size: 8px;
}

.password_unlock_text {
  font-size: 10px;
  font-weight: bold;
}

.password_cyrcles {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 30px;
  padding-bottom: 20px;
  width: 60%;
  margin: 0 auto;
}

.password_unlock_cyrcles {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.pass_cyrcle {
  display: flex;
  width: 8px;
  height: 8px;
  /*background: #fff;*/
  border: 1px solid #fff;
  border-radius: 50%;
  margin: 0 2px;
}

.emergency {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 30px 0;
  font-size: 11px;
  font-weight: bold;
}

.phone_blocked .password_screen {
  display: none !important;
}

.phone_blocked .locked_screen {
  display: flex !important;
}

.mobile_locked {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: #00000096;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-weight: bold;
  display: none;
}

.mobile_locked_disabled {
  font-size: 20px;
}

.mobile_locked_try_again {
  font-size: 14px;
  margin-top: 5px;
}

.mobile_unlocked {
  display: none;
  position: absolute;
  z-index: 3;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-repeat: no-repeat;
  -webkit-background-size: cover;
  background-size: cover;
}

.phone_unlocked .locked_screen {
  top: -500px;
  transition: 400ms all ease;
}

.phone_unlocked .password_screen {
  top: -500px;
  transition: 400ms all ease;
}

.speaker_cyrcle {
  background: #393737;
  display: flex;
  width: 4px;
  height: 4px;
  border-radius: 15px;
}

.speaker_line {
  background: #393737;
  display: flex;
  width: 35px;
  height: 4px;
  margin-left: 10px;
  border-radius: 15px;
}

.phone_speaker {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  background: transparent;
}

.pass_cyrcle_active {
  background: #fff;
}

.phone_shake {
  animation: shake 300ms;
}

@keyframes shake {
  0% {
    transform: rotate(-5deg);
  }

  15% {
    transform: rotate(5deg);
  }

  35% {
    transform: rotate(-6deg);
  }

  55% {
    transform: rotate(2deg);
  }

  65% {
    transform: rotate(-4deg);
  }

  85% {
    transform: rotate(6deg);
  }

  100% {
    transform: rotate(-8deg);
  }
}

/* CSS PHONE */

.modal-phone .ant-modal-content {
  border-radius: 30px !important;
}

/* .rdw-editor-toolbar,.toolbar-class{
  display: flex;
  justify-content: space-around;
} */

.toolbar-class {
  margin-bottom: 10px;
}

.public-DraftStyleDefault-block,
.public-DraftStyleDefault-ltr {
  /* width: "100%" !important; */
  background: #f3f7f5;
}

/* .public-DraftStyleDefault-block::placeholder,.public-DraftStyleDefault-ltr::placeholder{

} */

.ant-list-item {
  border-bottom: 0px !important;
  justify-content: unset;
}

.editorClassName,
.rdw-editor-main {
  height: 200px;
  overflow-y: auto;
}

.anticon-spin {
  fill: #2ebd6a;
}

.ant-calendar-today-btn {
  display: none !important;
}

.table-bordered td,
.table-bordered th {
  border: none !important;
  border-bottom: 2px solid #dee2e6 !important;
}

.gradient {
  background: rgb(36, 36, 0);
  background: linear-gradient(
    90deg,
    rgba(36, 36, 0, 1) 0%,
    rgba(36, 36, 0, 1) 0%,
    rgba(85, 185, 88, 1) 0%,
    rgba(74, 242, 169, 1) 18%,
    rgba(102, 253, 137, 1) 29%,
    rgba(104, 254, 134, 1) 44%,
    rgba(108, 255, 130, 1) 57%,
    rgba(70, 240, 174, 1) 88%,
    rgba(51, 232, 196, 1) 100%,
    rgba(6, 214, 248, 1) 100%,
    rgba(4, 213, 251, 1) 100%,
    rgba(0, 212, 255, 1) 100%
  );
}

#check-0 + .ant-checkbox-inner {
  opacity: 0 !important;
}

.row {
  flex: initial;
}

.ant-calendar-column-header {
  background-color: #004c911a;
}

.ant-calendar-selected-day .ant-calendar-date {
  background: var(--main);
}

.ant-calendar-today .ant-calendar-date {
  color: white;
  border-color: var(--main);
  background: var(--main);
}

.ellipsis-text-inline {
  display: inline-block;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

ul {
  padding-inline-start: 20px;
}

.disabled-up .ant-input-number-handler-wrap {
  display: none;
}

.disabled-up .ant-input-number-input {
  text-align: center;
}
